Package io.vertx.reactivex.ext.unit.report

## Class TestResult

- java.lang.Object
- - io.vertx.reactivex.ext.unit.report.TestResult

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class TestResult
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  The result of a test.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<TestResult>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestResult​(TestResult delegate)` |
    `TestResult​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `beginTime()` | The time at which the test began in millis.
    `long` | `durationTime()` | How long the test lasted in millis.
    `boolean` | `equals​(Object o)` |
    `boolean` | `failed()` | Did it fail?
    `Failure` | `failure()` | An exception describing failure, null if the test succeeded.
    `TestResult` | `getDelegate()` |
    `int` | `hashCode()` |
    `String` | `name()` | The test description, may be null if none was provided.
    `static TestResult` | `newInstance​(TestResult arg)` |
    `boolean` | `succeeded()` | Did it succeed?
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TestResult> __TYPE_ARG

  - ### Constructor Detail

    - #### TestResult

          public TestResult​(TestResult delegate)

    - #### TestResult

          public TestResult​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TestResult getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### name

          public String name()

      The test description, may be null if none was provided.
      Returns:

    - #### beginTime

          public long beginTime()

      The time at which the test began in millis.
      Returns:

    - #### durationTime

          public long durationTime()

      How long the test lasted in millis.
      Returns:

    - #### succeeded

          public boolean succeeded()

      Did it succeed?
      Returns:

    - #### failed

          public boolean failed()

      Did it fail?
      Returns:

    - #### failure

          public Failure failure()

      An exception describing failure, null if the test succeeded.
      Returns:

    - #### newInstance

          public static TestResult newInstance​(TestResult arg)